function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Changes from the Previous Release of This Guide","5");
B=A.fN("Related Documentation","6");
var C=B.fN("TIBCO ActiveMatrix Adapter for PeopleSoft Documentation","6#41654");
C=B.fN("Other TIBCO Product Documentation","6#41703");
C=B.fN("Third-Party Documentation","6#41717");
B=A.fN("Typographical Conventions","7");
B=A.fN("Terminology and Acronyms","8");
B=A.fN("Connecting with TIBCO Resources","9");
C=B.fN("How to Join TIBCOmmunity","9#39327");
C=B.fN("How to Access TIBCO Documentation","9#41109");
C=B.fN("How to Contact TIBCO Support","9#39302");
A=P.fN("Chapter\u00a01 Preparing PeopleSoft","10");
B=A.fN("PeopleSoft Integration Technology Overview","11");
C=B.fN("PeopleSoft Integration Technologies","11#1867141");
C=B.fN("Configuring PeopleSoft","11#1855802");
B=A.fN("Loading the Adapter PeopleSoft Project","12");
C=B.fN("Adapter PeopleSoft Project","12#1872390");
C=B.fN("Loading the TIB_PS8_ADAPTER Project","12#1869198");
B=A.fN("Loading TIBCO Libraries","13");
C=B.fN("Integration Broker Only: Loading TIBCO Target Connector Library","13#1879846");
C=B.fN("Loading TIBCO Enterprise Message Service Libraries","13#1880597");
B=A.fN("Preparing PeopleSoft Component Interfaces","14");
C=B.fN("Procedure","14#1873818");
C=B.fN("Configuration Procedure for Adapter Services","14#1881329");
B=A.fN("Preparing PeopleSoft Application Messages","15");
C=B.fN("Procedure","15#1895075");
C=B.fN("Configuration Procedure for Adapter Services","15#1673553");
C=B.fN("Enabling SSL on the PeopleSoft Server","15#1869036");
A=P.fN("Chapter\u00a02 Working with TIBCO ActiveMatrix BusinessWorks","16");
B=A.fN("Overview","17");
B=A.fN("Starting TIBCO Designer","18");
C=B.fN("TIBCO Designer Interface","18#1702737");
B=A.fN("Creating a Project","19");
B=A.fN("Configuring an Adapter Instance","20");
B=A.fN("Creating a Process","21");
C=B.fN("Publish to Adapter","21#1811375");
C=B.fN("Adapter Subscriber","21#1811468");
C=B.fN("Adapter Request-Response Server","21#1817042");
C=B.fN("Invoke an Adapter Request-Response Server","21#1811363");
C=B.fN("Respond to Adapter Request","21#1817077");
B=A.fN("Testing the Process","22");
A=P.fN("Chapter\u00a03 Getting Started","23");
B=A.fN("Prerequisites","24");
B=A.fN("Configuring an Adapter Instance","25");
C=B.fN("Starting TIBCO Designer","25#1794023");
C=B.fN("Creating a Project","25#1794094");
C=B.fN("Creating and Configuring a PeopleSoft Adapter Configuration","25#1795880");
B=A.fN("Adding and Configuring a PeopleSoft Adapter Service","26");
B=A.fN("Starting the Adapter","27");
C=B.fN("Starting the Adapter with the Adapter Tester","27#1805288");
C=B.fN("Starting the Adapter from the Command line with a Repository File","27#1805302");
A=P.fN("Chapter\u00a04 Configuring an Adapter Instance","28");
B=A.fN("Creating an Adapter Instance","29");
B=A.fN("Configuring an Adapter Instance","30");
C=B.fN("Configuration Tab","30#1674641");
C=B.fN("Design-time Connection Tab","30#1674665");
C=B.fN("Runtime Connection Tab","30#1732448");
C=B.fN("Adapter Services Tab","30#1674755");
C=B.fN("General Tab","30#1674807");
C=B.fN("Logging Tab","30#1674815");
C=B.fN("Startup Tab","30#1674849");
C=B.fN("Monitoring Tab","30#1674891");
B=A.fN("Saving the Project","31");
B=A.fN("Testing the Adapter","32");
A=P.fN("Chapter\u00a05 Configuring Adapter Services","33");
B=A.fN("Creating an Adapter Service","34");
B=A.fN("CI Publication Service","35");
C=B.fN("Configuration Options","35#1674955");
C=B.fN("Configuration Task Sequence","35#1758211");
B=A.fN("Message Publication Service","36");
C=B.fN("Configuration Options","36#1759902");
C=B.fN("Configuration Task Sequence","36#1762209");
B=A.fN("CI Subscription Service","37");
C=B.fN("Configuration Options","37#1767920");
C=B.fN("Configuration Task Sequence","37#1772019");
B=A.fN("Message Subscription Service","38");
C=B.fN("Configuration Options","38#1771251");
C=B.fN("Configuration Task Sequence","38#1780733");
B=A.fN("Request-Response Service","39");
C=B.fN("Configuration Options","39#1781897");
C=B.fN("Configuration Task Sequence","39#1788126");
B=A.fN("Request-Response Invocation Service","40");
C=B.fN("Configuration Options","40#1789767");
C=B.fN("Configuration Task Sequence","40#1792840");
B=A.fN("Common Configuration Options for Adapter Services","41");
C=B.fN("Transport Type","41#1738413");
C=B.fN("Quality of Service","41#1738424");
C=B.fN("Wire Format","41#1738438");
C=B.fN("Connection Factory Type","41#1738453");
C=B.fN("Delivery Mode","41#1738465");
A=P.fN("Chapter\u00a06 Deploying and Starting an Adapter Using TIBCO Administrator","42");
B=A.fN("Creating an EAR File in TIBCO Designer","43");
B=A.fN("Deploying the Project","44");
B=A.fN("Starting or Stopping the Adapter","45");
B=A.fN("Monitoring the Adapter","46");
A=P.fN("Chapter\u00a07 Configuring Advanced Topics","47");
B=A.fN("Password Handling","48");
B=A.fN("Modifying DTA Rendezvous Connection Parameters","49");
B=A.fN("Modifying Palette Rendezvous Connection Parameters","50");
B=A.fN("Modifying the DTA JMS Connection Parameters","51");
C=B.fN("Modifying the Properties File","51#1676324");
C=B.fN("Modifying the DAT File","51#1676331");
B=A.fN("Defining a TIBCO Hawk Session","52");
B=A.fN("Using Global Variables","53");
C=B.fN("Changing Global Variable Values at Runtime","53#1676407");
C=B.fN("Predefined Global Variables","53#1676417");
B=A.fN("Setting Encoding Options","54");
B=A.fN("Configuring a Remote Adapter","55");
B=A.fN("Running Multiple Design-Time Adapters","56");
B=A.fN("Multi-threading and Deployment","57");
B=A.fN("Using the Operation Code Feature","58");
B=A.fN("Using the Adapter with a Revision Control System","59");
B=A.fN("Implementation of Keys in the TIBCO Adapter for PeopleSoft","60");
C=B.fN("FINDKEYS","60#1676611");
C=B.fN("GETKEYS","60#1676615");
C=B.fN("CREATEKEYS","60#1676628");
C=B.fN("Valid Operation Codes for the Adapter","60#1676634");
B=A.fN("Compressing JMS Messages","61");
A=P.fN("Chapter\u00a08 Monitoring the Adapter Using TIBCO Hawk","62");
B=A.fN("Overview","63");
B=A.fN("Starting TIBCO Hawk Software","64");
B=A.fN("The Auto-Discovery Process","65");
B=A.fN("Invoking Microagent Methods","66");
B=A.fN("Available Microagents","67");
C=B.fN("activateTraceRole()","68");
C=B.fN("deactivateTraceRole()","69");
C=B.fN("getActivityStatistics()","70");
C=B.fN("getActivityStatisticsByOperation()","71");
C=B.fN("getActivityStatisticsByService()","72");
C=B.fN("getAdapterServiceInformation()","73");
C=B.fN("getComponents()","74");
C=B.fN("getConfig()","75");
C=B.fN("getConfigProperties()","76");
C=B.fN("getConnectionStatistics()","77");
C=B.fN("getQueueStatistics()","78");
C=B.fN("getRvConfig()","79");
C=B.fN("getStatus()","80");
C=B.fN("getThreadStatistics()","81");
C=B.fN("getTraceSinks()","82");
C=B.fN("getVersion()","83");
C=B.fN("_onUnsolictedMsg()","84");
C=B.fN("preRegisterListener()","85");
C=B.fN("resetConnectionStatistics( )","86");
C=B.fN("resetThreadStatistics()","87");
C=B.fN("reviewLedger()","88");
C=B.fN("setThreadNumber()","89");
C=B.fN("setTraceSinks()","90");
C=B.fN("stopApplicationInstance()","91");
C=B.fN("unRegisterListener()","92");
C=B.fN("getActivityStatisticsBySchemaName()","93");
C=B.fN("getPerfMonSetting()","94");
C=B.fN("getPollingInterval()","95");
C=B.fN("setPollingInterval()","96");
A=P.fN("Appendix\u00a0A Frequently Asked Questions","97");
B=A.fN("Frequently Asked Questions","98");
C=B.fN("What is the TIBCO Runtime Agent?","98#1678315");
C=B.fN("Can TIBCO Designer be brought from a UNIX command-line?","98#1678318");
C=B.fN("Why does the connection to the Design-Time Adapter fail?","98#1678320");
C=B.fN("When starting the adapter, what if the repository is not found?","98#1678322");
C=B.fN("Why does the adapter startup fail?","98#1678324");
C=B.fN("Why does the adapter startup fail, even after specifying the appropriate DAT file?","98#1678326");
C=B.fN("When saving an adapter configuration to the project, if an error occurs where is it logged?","98#1678328");
C=B.fN("When an error occurs in a Subscription Service adapter service, where is it displayed?","98#1678333");
C=B.fN("Why does the adapter fail to respond to a request?","98#1678335");
C=B.fN("Why does the adapter fail to respond to a request after successfully receiving it?","98#1678337");
A=P.fN("Appendix\u00a0B Trace Messages","99");
B=A.fN("Overview","100");
B=A.fN("Trace Message Fields","101");
B=A.fN("Status Messages","102");
A=P.fN("Appendix\u00a0C Troubleshooting","103");
B=A.fN("Running adpsft8.exe failed","104");
B=A.fN("Clicking on the Fetch Interface button returns an MTimeoutException","105");
B=A.fN("When the adapter is running there is a registration collision","106");
B=A.fN("The adapter prints a stacktrace at each polling interval","107");
B=A.fN("The adapter is not publishing data that has been entered","108");
B=A.fN("The adapter printed an error message immediately after receiving a business event","109");
B=A.fN("While processing, the adapter failed to set a value in the date field","110");
B=A.fN("Data processing caused a GetComponent() API message error","111");
B=A.fN("Data successfully received and processed is not reflected in the table","112");
B=A.fN("A successfully processed record has extra rows in the database","113");
B=A.fN("The palette cannot connect to the DTA","114");
B=A.fN("Connection to PeopleSoft failed","115");
B=A.fN("\u2019Method not found\u2019 error displayed by the Adapter","116");
A=P.fN("Appendix\u00a0D Migrating PeopleSoft Data for Adapter Configuration","117");
B=A.fN("Migrating PeopleSoft Data for Adapter Configuration","118");
C=B.fN("Script File Location","118#1684186");
C=B.fN("Adapter Configuration Migration","118#1684191");
}
